Orbx Libraries

for X-Plane 11

Orbx library objects for X-Plane 11.


Compatibility

General

To download and install this product you will need FTX Central v3. Microsoft .NET Framework 4.5 or above is required by FTX Central v3. Windows XP is not supported. FTX Central v3 is only compatible with Microsoft Windows.

The full download for this product is 248.82 MB.

Supported Simulators

This product is compatible with the following simulators: